MROTATE(1)

NAME
mRotate - Rotate a FITS image by an arbitrary angle

SYNOPSIS
mRotate [-d level] [-s statusfile] [-r rotang] in.fits out.fits [ra dec xsize [ysize]]

DESCRIPTION
Rotates a FITS image by an arbitrary angle. This module is meant for quick-look only; it is not flux conserving.

OPTIONS

-d level
    Print out additional debugging information (level can be 1-3)

-s statusfile
    Output and errors are written to statusfile instead of stdout.

-r rotang
    Provide an angle (in degrees) to rotate the image.

ARGUMENTS

in.fits
    Input FITS image.

out.fits
    Path to output (rotated) FITS image.

ra dec xsize
    Center location and width (in degrees) of output image - optional. By default, entire input image area will be included in output image.

ysize
    Height (in degrees) of output image, if a new center location and width are provided. Optional - defaults to xsize.

RESULT
[struct stat="OK"]

Output file will contain the same image as the input file, but rotated by rotang degrees. If a new center location and width were provided, the output image will be the "subimage" covering that area.

MESSAGES

OK  [struct stat="OK"]

ERROR
    No status file name given

ERROR
    Cannot open status file: statusfile

ERROR
    No rotation angle given

ERROR
    Rotation angle string is invalid: 'rotang'

ERROR
    No debug level given

ERROR
    Debug level string is invalid: 'level'

ERROR
    Debug level value cannot be negative

ERROR
    Invalid input file 'in.fits'

ERROR
    Invalid output file 'out.fits'

ERROR
    Center RA string (ra) cannot be interpreted as a real number

ERROR
    Center Dec string (dec) cannot be interpreted as a real number

ERROR
    X size string (xsize) cannot be interpreted as a real number

ERROR
    Y size string (ysize) cannot be interpreted as a real number

ERROR
    Invalid 'x' size

ERROR
    Invalid 'y' size

ERROR
    Location is off image

ERROR
    No pixels match output area

ERROR
    No pixels match input area

ERROR
    wcsinit() failed

ERROR
    Image file in.fits missing or invalid FITS

ERROR
    FITS library error

EXAMPLES

$ mRotate -r 90 in.fits out.fits
    [struct stat="OK"]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.